
void test_GPS(void)
  {
    zobraz_text(2);                                                           //  "6P5  "
    Serial.println("NMEA:");
    gps_NMEA(0);
    gps_NMEA(1);
    gps_NMEA(2);
  }



//----------------------------------------------
// do pole NMEA se ulozi cela neupravena NMEA veta (0 = GxRMC; 1 = GxGGA; 2 = verze)
void gps_NMEA(byte typ_zpravy)
  {
    if (digitalRead(pin_DATA_RDY) == internal_GPS)
      {
        byte i;
        for (i = 0 ; i < 90 ; i++)                                            // na zacatku smazat predchozi data z pole (naplnit mezerami)
          {
            pole_GPS_NMEA[i] = ' ';
          }
          
        if (typ_zpravy == 0)
          {
            GET_I2C_NMEA(50);
            GET_I2C_NMEA(51);
            GET_I2C_NMEA(52);
            GET_I2C_NMEA(53);
            GET_I2C_NMEA(54);
            GET_I2C_NMEA(55);
          }

        if (typ_zpravy == 1)
          {
            GET_I2C_NMEA(60);
            GET_I2C_NMEA(61);
            GET_I2C_NMEA(62);
            GET_I2C_NMEA(63);
            GET_I2C_NMEA(64);
            GET_I2C_NMEA(65);
          }

        if (typ_zpravy == 2)
          {
            GET_I2C_NMEA(70);
          }

    
        for (i = 0; i < 90 ; i++)                                             // vypsat kompletni stazenou zpravu
          {
            Serial.print(pole_GPS_NMEA[i]);
          }
        Serial.print('\n');
            
      }
    else
      {
        Serial.print("GPS nepripojeno (pin_DATA_RDY = ");
        Serial.print(digitalRead(pin_DATA_RDY));
        Serial.println(')');
      }

      
  }
//----------------------------------------------


//----------------------------------------------
// zadost o posledni NMEA zpravy (prenasi se po blocich 15 znaku dlouhych)
void GET_I2C_NMEA(byte blok)
  {
    
    Wire.beginTransmission(I2C_ADDR_GPS);
    delay(12);
    Wire.write(blok);
    delay(12);
    Wire.endTransmission();    
    delay(12);
    
    byte i=0;
    Wire.requestFrom(I2C_ADDR_GPS,15);                                        // zpravy se stahuji po 15 znacich
    delay(12);
    while (Wire.available())                                                  // prijaty znak se uklada na presne stanovenou pozici v poli
      {
        if (blok < 60 and blok >=50)
          {
            pole_GPS_NMEA[((blok-50)*15) + i] = Wire.read();
          }

        if (blok < 70 and blok >=60)
          {
            pole_GPS_NMEA[((blok-60)*15) + i] = Wire.read();
          }

        if (blok == 70)
          {
            pole_GPS_NMEA[((blok-70)*15) + i] = Wire.read();
          }


        delay(5);
        i++;
      }
  }
