void test_rtc(void)
  {
    zobraz_text(18);                                                 //  " rtc "

    Serial.print ("Pocet sekund v RTC: ");
    unsigned long tt =  rtclock.now();
    Serial.println (tt);

    rtclock.breakTime(tt,mtt);
    LOC_dvt = mtt.weekday + 1;                                       // primo v RTC se den v tydnu uklada v rozsahu 0(Po) az 6(Ne), proto se pro spravne zobrazeni pricita +1 (1=Po....7=Ne)
    LOC_den = mtt.day;
    LOC_mes = mtt.month;
    LOC_rok = mtt.year+1970;
    LOC_hod = mtt.hour;
    LOC_min = mtt.minute;
    LOC_sek = mtt.second;

    Serial.print(LOC_den);
    Serial.print('.');    
    Serial.print(LOC_mes);
    Serial.print('.');
    Serial.print(LOC_rok);
    Serial.print(' ');    
    Serial.print(LOC_hod);
    Serial.print(':');    
    if (LOC_min < 10)     Serial.print('0');
    Serial.print(LOC_min);
    Serial.print(':');    
    if (LOC_sek < 10)     Serial.print('0');
    Serial.print(LOC_sek);
    Serial.print(' ');    
    Serial.print(dny[LOC_dvt]);  
    Serial.println("  (UTC)");    
    
  }

void nastav_rtc(void)
  {
    mtt.day = 21;
    mtt.month = 10;
    mtt.year = 23+30;   // rok se pocita od 1.1.1970
    mtt.hour = 11;
    mtt.minute = 12;
    mtt.second = 13; 
    

    tt = rtclock.makeTime(mtt);
    rtclock.setTime(tt);                  
    Serial.print("tt po ulozeni: ");
    Serial.println (tt);

    Serial.println("RTC nastaveno na: 21.10.2023 11:12:13 (So)");
  }
