//-------------------------------------------------------------------------
void test_bme(void)
  {

    zobraz_text(7);                                     //  "bME  "
    cidlo_BME.begin(0x76);
    delay(100);
    
    Wire.beginTransmission(0x76);                       // zacatek komunikace s cidlem
    delay(1);
    Wire.write(byte(0xF4));                             // adresa prvniho konfiguracniho registru
    Wire.write(byte(0xFF));                             // registr ctrl_meas (0xF4)
    Wire.write(byte(0xF7));                             // registr config (0xF5)

    
    err = Wire.endTransmission();
    if (err != 0)
      {
        Serial.print("Chyba I2C ... kod: ");
        Serial.println(err);
        return;        
      }
    delay(1); 

    float cidlo_teploty = cidlo_BME.readTemperature();
    float cidlo_vlhkosti = cidlo_BME.readHumidity();
    unsigned long cidlo_tlaku = cidlo_BME.readPressure();

    
    

    Serial.print("Teplota: ");
    Serial.print(cidlo_teploty);
    Serial.print("      Vlhkost: ");
    Serial.print(cidlo_vlhkosti);
    Serial.print("      Tlak: ");
    Serial.println(cidlo_tlaku);

  
  }    
