
void test_displej(void)
  {    
    Serial.println("Test displeje");

    for (byte jas = 0; jas <= 7 ; jas = jas + 7)
      {
        for (byte i = 0 ; i< 5 ; i++)        D_pamet[i] = 0;
        D_pamet[0] = 255;
        aktualizuj_displej(jas);
        delay(500);            
        D_pamet[1] = 255;
        aktualizuj_displej(jas);
        delay(500);            
        D_pamet[2] = 255;
        aktualizuj_displej(jas);
        delay(500);            
        D_pamet[3] = 255;
        aktualizuj_displej(jas);
        delay(500);            
        D_pamet[4] = 255;
        aktualizuj_displej(jas);
        delay(500);            
        for (byte i = 0 ; i< 5 ; i++)        D_pamet[i] = 0;
        aktualizuj_displej(jas);    
      }

    
    
    Serial.println("Konec testu displeje");                                           //  Serial.println(");

}


//----------------------------------------------
// zobrazi na displeji text z pole dis_popisy[]
void zobraz_text(byte polozka)
  {
    D_pamet[0] =  dis_popisy[polozka][4];                                             // pretoceni nejvyssich a nejnizsich radu pro spravne zobrazeni na spravnych jednotkych
    D_pamet[1] =  dis_popisy[polozka][3];
    D_pamet[2] =  dis_popisy[polozka][2];
    D_pamet[3] =  dis_popisy[polozka][1];
    D_pamet[4] =  dis_popisy[polozka][0];
    aktualizuj_displej(7);
  }
//----------------------------------------------




//----------------------------------------------
// odesle do datoveho pinu 8 bitu se soucasnym kmitanim pinu CLK. 
// Na zaver posle jeste jeden hodinovy impulz pro prijem ACK bitu - ten ale netestuji.
void zapis_data(byte data)
  {
    for(byte i = 0; i < 8; i++)
      {
        digitalWrite(pin_dis_CLK, LOW);
        delayMicroseconds(2);
        if(bitRead(data , i) == true) digitalWrite(pin_dis_DIN  , HIGH);
        else                          digitalWrite(pin_dis_DIN  , LOW);

        delayMicroseconds(2);

        digitalWrite(pin_dis_CLK, HIGH);
        delayMicroseconds(2);
      }

    digitalWrite(pin_dis_CLK, LOW);
    delayMicroseconds(10);
    
                                                                                      // (tady by se mel testovat signal ACK, ale kaslu na to)
    
    digitalWrite(pin_dis_CLK, HIGH);
    delayMicroseconds(2);
    
    digitalWrite(pin_dis_DIN, LOW);                                                   // ukonceni odesilani bajtu prepnutim obou pinu do LOW
    delayMicroseconds(2);
    digitalWrite(pin_dis_CLK, LOW);
    delayMicroseconds(2);
  }
//----------------------------------------------




//----------------------------------------------
// zapise do displeje obsah pole promennych D_pamet[]
// pokud bude zadany parametr funkce, nastavi se podle nej jas displeje
void aktualizuj_displej(byte vstup_jas)
  {
    digitalWrite(pin_dis_CLK,LOW);
    digitalWrite(pin_dis_DIN,LOW);                                                    // start_kom
    delayMicroseconds(2);

    zapis_data(0b01000000);                                                           // automaticke zvetsovani adresy (pozice sedmisegmentovky)

    digitalWrite(pin_dis_CLK, HIGH);                                                  // stop_kom
    delayMicroseconds(2);
    digitalWrite(pin_dis_DIN, HIGH);
    delayMicroseconds(2);

    digitalWrite(pin_dis_DIN, LOW);                                                   // start_kom
    delayMicroseconds(2);

    zapis_data(0b11000000);                                                           // bit2 az bit0 = startovni pozice na nulte segmentovce (nejvic vlevo)

    zapis_data(D_pamet[0]);
    zapis_data(D_pamet[1]);
    zapis_data(D_pamet[2]);
    zapis_data(D_pamet[3]);
    zapis_data(D_pamet[4]); 

    digitalWrite(pin_dis_CLK, HIGH);                                                  // stop_kom
    delayMicroseconds(2);
    digitalWrite(pin_dis_DIN, HIGH);
    delayMicroseconds(2);

    digitalWrite(pin_dis_DIN, LOW);                                                   // start_kom
    delayMicroseconds(2);

    zapis_data(0b10001000 + vstup_jas);                                               // bit2 az bit0 nastaveni jasu (bit3 = 0/1 = zhasnout/rosvitit displej)

    digitalWrite(pin_dis_CLK, HIGH);                                                  // stop_kom
    delayMicroseconds(2);
    digitalWrite(pin_dis_DIN, HIGH);
    delayMicroseconds(2);
  }
//----------------------------------------------
